<div class="quan-ly-doi-tac-grid" [class.detail]="detail">
    
    <div class="app-danh-sach-doi-tac-wrapper">
        
        <div class="doi-tac-container">
            <div class="bg-white rounded-xl">
                <div class="d-flex align-items-center text-truncate p-4">
                    <strong class="text-truncate">Danh sách đối tác</strong>
                    <button (click)="reLoad()" matTooltip="Làm mới danh sách" class="btn btn-light ml-2"><i class="fas fa-sync-alt text-secondary"></i></button>
                    <button *ngIf="!addForm" routerLink="./tao-moi"  mat-raised-button color="primary" class="text-uppercase rounded-pill ml-auto"><mat-icon class="mr-2">add</mat-icon>Thêm đối tác</button>
                </div>
                
                <mat-form-field appearance="outline" color="primary" class="w-100 px-4">
                    <mat-label>Search</mat-label>
                    <input matInput (keyup)="applyFilter($event)">
                    <mat-icon class="mx-3" matPrefix>search</mat-icon>
                </mat-form-field>
            </div>
            
            <div class="bg-white rounded-xl position-relative overflow-hidden px-4">
                <div class="doi-tac-table">
                    <div class="delete-all-wrapper" *ngIf="selection.hasValue()">
                        <div>
                            <button mat-stroked-button><mat-icon class="mr-2">{{isAllSelected() ? 'delete' : 'delete_outline'}}</mat-icon>Xóa {{isAllSelected() ? 'toàn bộ' : 'mục đã chọn'}}</button>
                        </div>
                    </div>
                    <table mat-table [dataSource]="dataSource" matSort>
                        
                        <!-- Checkbox Column -->
                        <ng-container matColumnDef="select">
                            <th mat-header-cell *matHeaderCellDef class="pr-2">
                                <mat-checkbox [disabled]="detail" color="primary" (change)="$event ? masterToggle() : null" [checked]="selection.hasValue() && isAllSelected()" [indeterminate]="selection.hasValue() && !isAllSelected()" [aria-label]="checkboxLabel()" style="z-index:20; position: relative;"></mat-checkbox>
                            </th>
                            <td mat-cell *matCellDef="let row" class="align-middle pr-2">
                                <mat-checkbox [disabled]="detail" color="primary" (click)="$event.stopPropagation()" (change)="$event ? selection.toggle(row) : null" [checked]="selection.isSelected(row)" [aria-label]="checkboxLabel(row)"></mat-checkbox>
                            </td>
                        </ng-container>
                        
                        <!-- ID Column -->
                        <ng-container matColumnDef="id">
                            <th mat-header-cell *matHeaderCellDef mat-sort-header> Mã đối tác </th>
                            <td mat-cell *matCellDef="let row" class="text-uppercase"> {{row.id}} </td>
                        </ng-container>
                        
                        <!-- Name Column -->
                        <ng-container matColumnDef="name">
                            <th mat-header-cell *matHeaderCellDef mat-sort-header> Tên đối tác </th>
                            <td mat-cell *matCellDef="let row"> {{row.name}} </td>
                        </ng-container>
                        
                        <!-- Address Column -->
                        <ng-container matColumnDef="addr">
                            <th mat-header-cell *matHeaderCellDef mat-sort-header> Địa chỉ </th>
                            <td mat-cell *matCellDef="let row"> {{row.addr}} </td>
                        </ng-container>
                        
                        <!-- Tax code Column -->
                        <ng-container matColumnDef="tax">
                            <th mat-header-cell *matHeaderCellDef mat-sort-header> MST </th>
                            <td mat-cell *matCellDef="let row" class="text-truncate"> {{row.tax}} </td>
                        </ng-container>
                        
                        <!-- Partner type Column -->
                        <ng-container matColumnDef="partner_type">
                            <th mat-header-cell *matHeaderCellDef mat-sort-header> Loại đối tác </th>
                            <td mat-cell *matCellDef="let row"> <span class="text-truncate text-secondary alert alert-primary bg-light rounded p-2" style="width: 7rem;">{{row.partner_type}}</span> </td>
                        </ng-container>
                        
                        <!-- Created by Column -->
                        <ng-container matColumnDef="active">
                            <th mat-header-cell *matHeaderCellDef mat-sort-header> Trạng thái </th>
                            <td mat-cell *matCellDef="let row">
                                <span class="text-truncate text-success alert alert-success border-0 rounded p-2" *ngIf="row.active">Hoạt động</span>
                                <span class="text-truncate text-secondary alert alert-secondary border-0 rounded p-2" *ngIf="!row.active">Tạm dừng</span>
                            </td>
                        </ng-container>
                        
                        <!-- Created by Column -->
                        <ng-container matColumnDef="created_by">
                            <th mat-header-cell *matHeaderCellDef mat-sort-header> Người tạo </th>
                            <td mat-cell *matCellDef="let row"> {{row.created_by}} </td>
                        </ng-container>
                        
                        <!-- Created at Column -->
                        <ng-container matColumnDef="created_at">
                            <th mat-header-cell *matHeaderCellDef mat-sort-header> Ngày tạo </th>
                            <td mat-cell *matCellDef="let row"> {{row.created_at | date: 'dd/MM/yyyy'}}<br>{{row.created_at | date: 'HH:mm'}} </td>
                        </ng-container>
                        
                        <!-- Updated by Column -->
                        <ng-container matColumnDef="updated_by">
                            <th mat-header-cell *matHeaderCellDef mat-sort-header> Người sửa </th>
                            <td mat-cell *matCellDef="let row"> {{row.updated_by}} </td>
                        </ng-container>
                        
                        <!-- Updated at Column -->
                        <ng-container matColumnDef="updated_at">
                            <th mat-header-cell *matHeaderCellDef mat-sort-header> Ngày sửa </th>
                            <td mat-cell *matCellDef="let row"> {{row.updated_at | date: 'dd/MM/yyyy'}}<br>{{row.updated_at | date: 'HH:mm'}} </td>
                        </ng-container>
                        
                        <ng-container matColumnDef="action" stickyEnd>
                            <th mat-header-cell *matHeaderCellDef></th>
                            <td mat-cell *matCellDef="let row">
                                <div class="action-btn-group">
                                    <!-- <button matTooltip="Xem & Sửa" matTooltipPosition="left" mat-icon-button color="warn" (click)="showDetail(row.id)"><mat-icon>edit</mat-icon></button>   -->
                                    <button mat-button color="warn">Xóa<mat-icon>delete_outline</mat-icon></button>  
                                </div>
                            </td>
                        </ng-container>
                        
                        <tr mat-header-row *matHeaderRowDef="displayedColumns; sticky: true"></tr>
                        <tr mat-row *matRowDef="let row; columns: displayedColumns;" (click)="selection.hasValue() ? selection.toggle(row) : showDetail(row)" [class.active]="detail_id == row.id || selection.isSelected(row)"></tr>
                    </table>
                </div>
                
                <div class="position-relative mx-n4">
                    <mat-paginator [pageSizeOptions]="[15, 25, 50, 100]"></mat-paginator>
                    <div class="position-absolute d-inline-flex align-items-center bg-white px-4" style="top: 0; left: 0; bottom: 0;">
                        <button mat-stroked-button color="primary" class="mat-button-sm mr-3"><mat-icon>playlist_add</mat-icon>Import</button>  
                        <button mat-stroked-button color="primary" class="mat-button-sm"><mat-icon>playlist_play</mat-icon>Export</button> 
                    </div>
                </div>
            </div>
        </div>
    </div>
    
    <div class="app-chi-tiet-doi-tac-wrapper bg-white rounded-xl">
        <div class="d-flex align-items-center p-4">
            <strong>Chi tiết đối tác</strong>
            <button (click)="hideDetail()" mat-stroked-button class="ml-auto">Hủy bỏ</button>
            <button mat-raised-button color="primary" class="ml-3 px-5">Lưu thay đổi</button>
        </div>
        <div class="app-tao-moi-doi-tac" [active_item]="active_item"></div>
    </div>
    
</div>